Hasql.Decoders

# Result

data Result a

unit

rowsAffected

singleRow

## Specialized multi-row results

maybeRow

rowsVector

rowsList

## Multi-row traversers

foldlRows

foldrRows

# Row

data Row a

value

nullableValue

# Value

data Value a

bool

int2

int4

int8

float4

float8

numeric

char

text

bytea

date

timestamp

timestamptz

time

timetz

interval

uuid

inet

json

jsonBytes

jsonb

jsonbBytes

array

composite

hstore

enum

custom

# Array

data Array a

arrayDimension

arrayValue

arrayNullableValue

# Composite

data Composite a

compositeValue

compositeNullableValue